Skip to navigation

Update FeatureLibrary

Update FeatureLibrary.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

feature_library_idstringRequired
ID of the FeatureLibrary.

Request

This endpoint expects an object.
descriptionstring or nullOptional
Description of the Feature Library
namestringOptional

Library names must be non-empty after trimming whitespace, at most 128 characters, and unique within the owner (case-insensitive).

Response

OK
__typenamestringOptional
createdAtstringOptional
DateTime the Feature Library was created
descriptionstring or nullOptional
Description of the Feature Library
featuresstringOptionalformat: "uri"
List of Feature Library Items in this library
idstringOptional
modifiedAtstringOptional
DateTime the Feature Library was last modified
namestringOptional
Name of the Feature Library
ownerobjectOptional

Errors

400
Feature Library Update Request Bad Request Error
403
Feature Library Update Request Forbidden Error
404
Feature Library Update Request Not Found Error
409
Feature Library Update Request Conflict Error
429
Feature Library Update Request Too Many Requests Error
500
Feature Library Update Request Internal Server Error